Bug Hunting Session
Bug 73576 - UNO crashes when installing Python extension
Summary: UNO crashes when installing Python extension
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
4.2.0.2 rc
Hardware: All Windows (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-13 23:02 UTC by Olivier R.
Modified: 2014-11-06 21:49 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier R. 2014-01-13 23:02:27 UTC
This bug is simple to reproduce. Install a Python extension like this one:
http://extensions.libreoffice.org/extension-center/linguist

Uno.exe crashes and you get this error message:
(com.sun.star.lang.DisposedException) { { { Message = "Binary URP bridge disposed during call", Context = (com.sun.star.uno.XInterface) @5547848 } } }

Same with all Python extensions I develop or use.
Comment 1 Olivier R. 2014-01-13 23:04:02 UTC
Version: 4.2.1.0.0+
Build ID: 3d37415b8f3e60d234195ba847396ee2321c35ae
TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-01-11_23:05:19
Comment 2 Olivier R. 2014-01-14 12:18:44 UTC
I got this bug on version:
http://dev-builds.libreoffice.org/daily/libreoffice-4-2/Win-x86@42/2014-01-11_23.05.19/

But it works on LO 4.2 RC2 (Version: 4.2.0.2)
Build ID: cd65d6220c5694ee7012d7863bcde3455c9e3c30

Version 4.2.1.0.0+ is newer but the bug is possibly specific to this build?

Iā€™m not sure if I should close this bug.
Comment 3 Jean-Baptiste Faure 2014-01-14 20:01:26 UTC
I do not reproduce the crash with development version 4.2.1.0.0+ under Ubuntu 13.10 x86-64 (Build ID: 806d7e4237726bfe75d1c18fb0edbdfec675648a)

Best regards. JBF
Comment 4 Jean-Baptiste Faure 2014-01-26 16:00:21 UTC
Hi Olivier,

If you do not have a crash anymore with 4.2.0 RC3, I suggest you to close this bug report as Resolved / WorksForMe.

Best regards. JBF
Comment 5 Pierre C 2014-04-27 21:33:00 UTC
I have the same problem with Master branch 4.3, and LO 4.2.5+ (Seven x64)
Comment 6 Michael Stahl (CIB) 2014-04-28 12:45:16 UTC
Stephan, got some time to investigate this?
Comment 7 Joel Madero 2014-11-06 00:07:30 UTC
As this was confirmed apparently, moving to NEW - if it's no longer a problem pleease close as WFM. Thanks
Comment 8 Olivier R. 2014-11-06 20:07:33 UTC
Works on 4.4.0.0.alpha1+
Comment 9 Michael Stahl (CIB) 2014-11-06 20:20:49 UTC
if you don't know which commit fixed it the proper resolution is WORKSFORME

does it work with the current 4.3 release too?
if not it would be possible to bisect the fix and perhaps backport it.
Comment 10 Olivier R. 2014-11-06 21:49:58 UTC
Works also on LO-dev 4.3.4.0.0+